#ifndef VITUNES_H
#define VITUNES_H

#include <sys/time.h>
#include <locale.h>
#include <util.h>
#include <pwd.h>

#include "input_handlers.h"
#include "uinterface.h"
#include "medialib.h"
#include "player.h"
#include "debug.h"

/* record keeping  */
extern playlist   *viewing_playlist;
extern playlist   *playing_playlist;

/* some handy enums */
enum { One, Half, Page, Whole };
enum { Number, Percent };
enum { Before, After };
enum { Forwards, Backwards };
enum { Top, Middle, Bottom };
enum { Same, Opposite};
enum { Seconds, Minutes };

/* loads the config file */
void load_config();

#endif
